logins:
  - login:
    discriminator: DataGenSmallProject
    developer: 5

scenarios:
  - scenario: Developer is checking his / her task
    discriminator: DataGenSmallProject
    pause: 3s
    inject:
      from: 1
      to: 5
      during: 15s
      hold: 1m
    steps:
      - visit: authenticate
        pause: 1s
        parameters:
          roleName: Developer
      - visit: userHomePage
      - visit: visitProjectDashboardPage
      - visit: trackersPage
      - visit: trackerPage
        parameters:
          trackerType: TASK
      - visit: trackerItemPage
        parameters:
          trackerType: TASK
      - visit: kanbanBoardPage
        parameters:
          trackerType: TASK
      - visit: trackerItemPage
        parameters:
          trackerType: TASK
      - visit: addComment
        parameters:
          trackerType: TASK
          random: 10
      - visit: trackerDocumentView
        parameters:
          trackerType: USERSTORY
      - visit: loadNextPageOnDocumentView
        parameters:
          trackerType: USERSTORY
      - visit: loadDescriptionTooltip
        parameters:
          trackerType: USERSTORY
      - visit: trackerItemPage
        parameters:
          trackerType: USERSTORY
      - visit: createTrackerItem
        pause: 5m
        parameters:
          trackerType: TASK
          random: 2
      - visit: updateTrackerItemStatus
        parameters:
          trackerType: TASK
          random: 2